import numpy as np
import matplotlib.pyplot as plt
import matplotlib.image as mpImg

from pylab import *

def animationLambda(list_theta,list_xy,a,b,c,d):
    # time = np.arange(0.0,tf,dt)
#     pos = np.arange(0.0,1.0,1./len(x))

    plt.ion()
    plt.hold('on')


    plt.axis('equal')
    #Mmx = max(np.abs(x))
    #borne = np.zeros(len(x)) + Mmx
    listA1 = []
    listA4 = []
    for j,theta in enumerate(list_theta):
        A0 = np.array([0,0])
        A3 = np.array([a,0])
        
        A1 = np.array([np.cos(theta), np.sin(theta)])*d
        A2 = list_xy[j]
        
        A4 = A2 + (A2 - A1)
        
        listA1.append(A1)
        listA4.append(A4)
        
        plt.clf()
        plt.plot([A0[0], A1[0]],[A0[1],A1[1]],color='blue',linewidth=2.0)
        plt.plot([A1[0], A2[0]],[A1[1],A2[1]],color='blue',linewidth=2.0)
        plt.plot([A1[0], A4[0]],[A1[1],A4[1]],color='blue',linewidth=2.0)
        plt.plot([A2[0], A3[0]],[A2[1],A3[1]],color='blue',linewidth=2.0)
        
        for i,a1 in enumerate(listA1):
            if (i < len(listA1)-1):
                plt.plot([a1[0], listA1[i+1][0]],[a1[1], listA1[i+1][1]],color='green',linewidth=2.0)
        
        for i,a4 in enumerate(listA4):
            if (i < len(listA4)-1):
                plt.plot([a4[0], listA4[i+1][0]],[a4[1], listA4[i+1][1]],color='green',linewidth=2.0)
        
        
        plt.axis('equal')
        plt.axis([-10,20,-10,20])
        plt.show()
        plt.pause(1e-1)
    
    plt.ioff() 
    plt.axis('equal')
    plt.show()
       
    
    
def afficherPoints(xx,yy,zz):
    #plt.ion()
    plt.hold('on')
    eps = 1e-5

    list_color = [(255,0,0),(0,255,0),(0,0,255),(125,125,0),(0,125,125),(125,0,125),(80,80,80),(0,0,0)]
    
    myImg = zeros((len(xx),len(yy),3),dtype=np.uint8)
    for i,x in enumerate(xx):
        for j,y in enumerate(yy):
            myImg[j,i] = list_color[int(zz[i,j])]#
             
    plt.imshow(myImg)
    plt.show()



def afficher(list_x,list_y,attribut):
    #plt.ion()
    plt.hold('on')

    for j,absic in enumerate(list_x):
        plt.plot(absic,list_y[j],attribut[j],linewidth=1.0,)
    plt.show()
