import numpy as np
import matplotlib.pyplot as plt

import algo
import data
import affichage




"""
    Calcul racine cubique
"""

########################################
# Parametres methode
########################################

tol = 1e-8
iteMax = 1001

a = 0; solex = 0
# Completer ICI :
#a = ..
#solex = ..

ordreth = 1.0

########################################
# Recuperation des donnees
########################################

print "Choix de la methode de resolution :"
print "1 : Newton"
print "2 : Fausse Position"
method = input()


########################################
# Resolution effective du probleme
########################################

xx = []
if (method == 1):
    print "Point initialisation :"
    x0 = input()
    xx = algo.Newton(data.f,data.df,x0,iteMax,tol,a)
    
    # Completer ICI :
    #ordreth = ...

if (method == 2):
    print "Point 1 initialisation :"
    x0 = input()
    print "Point 2 initialisation :"
    x1 = input()
    xx = algo.FP(data.f,x0,x1,iteMax,tol,a)
    
    # Completer ICI :
    #ordreth = ...


########################################
# Affichage de la solution
########################################

print "Solution obtenue :"
print xx[-1]
print "en",len(xx),"iterations"
print "Solution exacte :"
print solex


n = len(xx)
xx = np.array(xx)

absc1 = np.log10(np.abs(xx[0:n-1] - solex))
ordo1 = np.log10(np.abs(xx[1:n] - solex))
absc2 = absc1*1.0
ordo2 = ordreth * absc2

affichage.afficher([absc1,absc2],[ordo1,ordo2],['b-x','r--'])


print "FIN \n"
########################################




